| Flutter iOS Embedder |

Instance Methods | Class Methods | Properties | List of all members
FlutterTextSelectionRect Class Reference

`#import <FlutterTextInputPlugin.h>`

Inheritance diagram for FlutterTextSelectionRect:

## Instance Methods
(instancetype) | - initWithRectAndInfo:position:writingDirection:containsStart:containsEnd:isVertical:
(instancetype) | - NS_UNAVAILABLE
(BOOL) | - isRTL

## Class Methods
(instancetype) | + selectionRectWithRectAndInfo:position:writingDirection:containsStart:containsEnd:isVertical:
(instancetype) | + selectionRectWithRect:position:
(instancetype) | + selectionRectWithRect:position:writingDirection:

## Properties
CGRect | rect
NSUInteger | position
NSWritingDirection | writingDirection
BOOL | containsStart
BOOL | containsEnd
BOOL | isVertical

## Detailed Description

Definition at line 93 of file FlutterTextInputPlugin.h.

## Method Documentation

## ◆ initWithRectAndInfo:position:writingDirection:containsStart:containsEnd:isVertical:

- (instancetype) initWithRectAndInfo: |  | (CGRect) | rect
position: |  | (NSUInteger) | position
writingDirection: |  | (NSWritingDirection) | writingDirection
containsStart: |  | (BOOL) | containsStart
containsEnd: |  | (BOOL) | containsEnd
isVertical: |  | (BOOL) | isVertical

Definition at line 702 of file FlutterTextInputPlugin.mm.

702 :(CGRect)rect
703 position:(NSUInteger)position
704 writingDirection:(NSWritingDirection)writingDirection
705 containsStart:(BOOL)containsStart
706 containsEnd:(BOOL)containsEnd
707 isVertical:(BOOL)isVertical {
708 self = [super init];
709 if (self) {
710 self.rect = rect;
711 self.position = position;
712 self.writingDirection = writingDirection;
713 self.containsStart = containsStart;
714 self.containsEnd = containsEnd;
715 self.isVertical = isVertical;
716 }
717 return self;
718 }

References containsEnd, containsStart, isVertical, position, rect, and writingDirection.

## ◆ isRTL

- (BOOL) isRTL |  |  |

Definition at line 720 of file FlutterTextInputPlugin.mm.

720 {
721 return _writingDirection == NSWritingDirectionRightToLeft;
722 }

## ◆ NS_UNAVAILABLE

- (instancetype) NS_UNAVAILABLE |  |  |

## ◆ selectionRectWithRect:position:

+ (instancetype) selectionRectWithRect: |  | (CGRect) | rect
position: |  | (NSUInteger) | position

Definition at line 682 of file FlutterTextInputPlugin.mm.

682 :(CGRect)rect position:(NSUInteger)position {
683 return [[FlutterTextSelectionRect alloc] initWithRectAndInfo:rect
684 position:position
685 writingDirection:NSWritingDirectionNatural
686 containsStart:NO
687 containsEnd:NO
688 isVertical:NO];
689 }

## ◆ selectionRectWithRect:position:writingDirection:

+ (instancetype) selectionRectWithRect: |  | (CGRect) | rect
position: |  | (NSUInteger) | position
writingDirection: |  | (NSWritingDirection) | writingDirection

Definition at line 691 of file FlutterTextInputPlugin.mm.

691 :(CGRect)rect
692 position:(NSUInteger)position
693 writingDirection:(NSWritingDirection)writingDirection {
694 return [[FlutterTextSelectionRect alloc] initWithRectAndInfo:rect
695 position:position
696 writingDirection:writingDirection
697 containsStart:NO
698 containsEnd:NO
699 isVertical:NO];
700 }

## ◆ selectionRectWithRectAndInfo:position:writingDirection:containsStart:containsEnd:isVertical:

+ (instancetype) selectionRectWithRectAndInfo: |  | (CGRect) | rect
position: |  | (NSUInteger) | position
writingDirection: |  | (NSWritingDirection) | writingDirection
containsStart: |  | (BOOL) | containsStart
containsEnd: |  | (BOOL) | containsEnd
isVertical: |  | (BOOL) | isVertical

Definition at line 668 of file FlutterTextInputPlugin.mm.

668 :(CGRect)rect
669 position:(NSUInteger)position
670 writingDirection:(NSWritingDirection)writingDirection
671 containsStart:(BOOL)containsStart
672 containsEnd:(BOOL)containsEnd
673 isVertical:(BOOL)isVertical {
674 return [[FlutterTextSelectionRect alloc] initWithRectAndInfo:rect
675 position:position
676 writingDirection:writingDirection
677 containsStart:containsStart
678 containsEnd:containsEnd
679 isVertical:isVertical];
680 }

## Property Documentation

## ◆ containsEnd

- (BOOL) containsEnd
| readwritenonatomicassign

Definition at line 99 of file FlutterTextInputPlugin.h.

Referenced by initWithRectAndInfo:position:writingDirection:containsStart:containsEnd:isVertical:.

## ◆ containsStart

- (BOOL) containsStart
| readwritenonatomicassign

Definition at line 98 of file FlutterTextInputPlugin.h.

Referenced by initWithRectAndInfo:position:writingDirection:containsStart:containsEnd:isVertical:.

## ◆ isVertical

- (BOOL) isVertical
| readwritenonatomicassign

Definition at line 100 of file FlutterTextInputPlugin.h.

Referenced by initWithRectAndInfo:position:writingDirection:containsStart:containsEnd:isVertical:.

## ◆ position

- (NSUInteger) position
| readwritenonatomicassign

Definition at line 96 of file FlutterTextInputPlugin.h.

Referenced by initWithRectAndInfo:position:writingDirection:containsStart:containsEnd:isVertical:.

## ◆ rect

- (CGRect) rect
| readwritenonatomicassign

Definition at line 95 of file FlutterTextInputPlugin.h.

Referenced by initWithRectAndInfo:position:writingDirection:containsStart:containsEnd:isVertical:.

## ◆ writingDirection

- (NSWritingDirection) writingDirection
| readwritenonatomicassign

Definition at line 97 of file FlutterTextInputPlugin.h.

Referenced by initWithRectAndInfo:position:writingDirection:containsStart:containsEnd:isVertical:.

The documentation for this class was generated from the following files:

- shell/platform/darwin/ios/framework/Source/FlutterTextInputPlugin.h
- shell/platform/darwin/ios/framework/Source/FlutterTextInputPlugin.mm

FlutterTextSelectionRect::writingDirection
NSWritingDirection writingDirection
Definition: FlutterTextInputPlugin.h:97
FlutterTextSelectionRect::containsStart
BOOL containsStart
Definition: FlutterTextInputPlugin.h:98
FlutterTextSelectionRect::containsEnd
BOOL containsEnd
Definition: FlutterTextInputPlugin.h:99
FlutterTextSelectionRect::rect
CGRect rect
Definition: FlutterTextInputPlugin.h:95
FlutterTextSelectionRect::isVertical
BOOL isVertical
Definition: FlutterTextInputPlugin.h:100
FlutterTextSelectionRect::position
NSUInteger position
Definition: FlutterTextInputPlugin.h:96
FlutterTextSelectionRect
Definition: FlutterTextInputPlugin.h:93